Subject: bug#50789: syncthing-gtk creates autostart file with wrong bin

From: John Kehayias <[email-masked]>
Date: Thu, 30 Sep 2021 20:13:30 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Thursday, September 30th, 2021 at 4:00 PM, Liliana Marie Prikler wrote:

>
> As I stated initially you could hardcode the store path to syncthing-
> gtk in its stead but it's still a store path in the end. It must go
> stale by design. The only reasonable thing is to not install the file
> and instead give users the tools to do so on their own.
>

For a medium to long-term solution, what would you advocate for? A note in a package's description that they should see the manual or cookbook for how to autostart this program if they want (since it will show up in the preferences menu)? Of course, we'll need that documentation first :) Maybe an example piece of code for using Shepherd to start, or guix home (I still need to look at that)? Perhaps this should be raised more generally in the devel list to be consistent in Guix, since this won't be the only one.

In the meantime, I'll try to find if getting the profile to bin path is not too tricky, if not at least make it so the path it does use points to syncthing-gtk and not .syncthing-gtk-real, since that is incorrect in every way.